<?php
namespace DbService;
use PDO;

class BlogPostService{


    public function addNewBlogPost($user_name,$title,$description,$image_url,$location_name){
        $pdo = DbConnection::PDO();
        $sql = "INSERT INTO blog_posts (`user_name`,`title`,`description`,`image_url`,`location_name`) VALUES (?,?,?,?,?)";
        $query=$pdo->prepare($sql);
        return $query->execute([$user_name,$title,$description,$image_url,$location_name]);
    }

    public function getAllBlogPosts(){
        $pdo = DbConnection::PDO();
        $sql = "SELECT * FROM blog_posts ORDER BY id DESC";
        $query=$pdo->prepare($sql);
        $query->execute();
        return $query->fetchAll(PDO::FETCH_OBJ);
    }

    public function getCommentByBlogPostId($id){
        $pdo = DbConnection::PDO();
        $sql = "SELECT comments.comment, comments.user_id FROM comments INNER JOIN blog_posts ON blog_posts.id = comments.blog_post_id WHERE comments.blog_post_id = ? ";
        $query=$pdo->prepare($sql);
        $query->execute([$id]);
        return $query->fetchAll(PDO::FETCH_OBJ);
    }

    public function addComment($user_id,$blog_post_id,$comment){
        $pdo = DbConnection::PDO();
        $sql = "INSERT INTO comments (`blog_post_id`,`user_id`,`comment`) VALUES (?,?,?)";
        $query=$pdo->prepare($sql);
        return $query->execute([$blog_post_id,$user_id,$comment]);
    }
}


